FLICONV-API FLAM Character Conversion Interface

Macros
Error codes

## Macros
#define | FLICONV_EINVAL 1
#define | FLICONV_ENOMEM 2
#define | FLICONV_EILSEQ 3
#define | FLICONV_ENOMSG 4
#define | FLICONV_E2BIG 5
#define | FLICONV_REOPEN 6
#define | FLICONV_BOMCHG 7
#define | FLICONV_UTFAIL 8
#define | FLICONV_MAXEXP 9
#define | FLICONV_LICVIL 10
#define | FLICONV_WITSPC 11
#define | FLICONV_IBMUCS 12
#define | FLICONV_REREST 13

## Detailed Description

Use this predefined values in function *fliconv_chkerrno().

## Macro Definition Documentation

## ◆ FLICONV_EINVAL

#define FLICONV_EINVAL 1

Incomplete character

## ◆ FLICONV_ENOMEM

#define FLICONV_ENOMEM 2

Not enought memory

## ◆ FLICONV_EILSEQ

#define FLICONV_EILSEQ 3

Invalid character

## ◆ FLICONV_ENOMSG

#define FLICONV_ENOMSG 4

Malformed encoding

## ◆ FLICONV_E2BIG

#define FLICONV_E2BIG 5

Need more space

## ◆ FLICONV_REOPEN

#define FLICONV_REOPEN 6

Reopen failed (internal error)

## ◆ FLICONV_BOMCHG

#define FLICONV_BOMCHG 7

Byte order change

## ◆ FLICONV_UTFAIL

#define FLICONV_UTFAIL 8

Parse of user table failed

## ◆ FLICONV_MAXEXP

#define FLICONV_MAXEXP 9

Maximal expansion reached

## ◆ FLICONV_LICVIL

#define FLICONV_LICVIL 10

License violation

## ◆ FLICONV_WITSPC

#define FLICONV_WITSPC 11

Output whitespace handling

## ◆ FLICONV_IBMUCS

#define FLICONV_IBMUCS 12

Error from IBM Unicode Services

## ◆ FLICONV_REREST

#define FLICONV_REREST 13

Remaining rest